<?php
/**
 * Footer Options.
 *
 * @package Hait
 */

// Footer Section.
$wp_customize->add_section( 'section_footer',
	array(
		'title'      => esc_html__( 'Footer', 'hait' ),
		'priority'   => 100,
		'panel'      => 'theme_option_panel',
	)
);

// Setting enable_back_to_top.
$wp_customize->add_setting( 'theme_options[enable_back_to_top]',
	array(
		'default'           => $default['enable_back_to_top'],
		'sanitize_callback' => 'hait_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[enable_back_to_top]',
	array(
		'label'    			=> esc_html__( 'Enable Back to Top', 'hait' ),
		'section'  			=> 'section_footer',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting footer_style.
$wp_customize->add_setting( 'theme_options[footer_style]',
	array(
		'default'           => $default['footer_style'],
		'sanitize_callback' => 'hait_sanitize_select',
	)
);
$wp_customize->add_control( 'theme_options[footer_style]',
	array(
		'label'    => esc_html__( 'Footer Style', 'hait' ),
		'section'  => 'section_footer',
		'type'     => 'radio',
		'priority' => 100,
		'choices'  => array(
				'normal-background'  => esc_html__( 'Normal Background', 'hait' ),
				'colored-background' => esc_html__( 'Colored Background', 'hait' ),
			),
	)
);

// Setting copyright_text.
$wp_customize->add_setting( 'theme_options[copyright_text]',
	array(
		'default'           => $default['copyright_text'],
		'sanitize_callback' => 'hait_sanitize_textarea',
	)
);
$wp_customize->add_control( 'theme_options[copyright_text]',
	array(
		'label'    => esc_html__( 'Copyright Text', 'hait' ),
		'section'  => 'section_footer',
		'type'     => 'textarea',
		'priority' => 100,
	)
);
